// SPDX-License-Identifier: Unlicense

#ifndef SPOTIFY_H
#define SPOTIFY_H

#include "typedefs.h"

#ifdef SHR3D_SPOTIFY

namespace Spotify
{
  void playSong(const char spotifySongId[23]);
  void pauseSong();
  void setVolume(i8 volumePercent);
  void seekPosition(i32 positionMs);
}

#endif // SHR3D_SPOTIFY

#endif // SPOTIFY_H
